getting error messages while installing orchard

Topics: Installing Orchard
Aug 10 at 9:23 PM
Hello,

I had installed a pretty old version of Orchard before. And from what I remember was it unzip, ftp and run it. Give some data in and running.

By now I am trying to do a fresh install of 1.10.1 on my shared hosting again, but I have not been able to run the installer.

I am getting this error message with customerrors = off:
Server Error in '/' Application.
Configuration Error
Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.

Parser Error Message: The 'targetFramework' attribute in the <compilation> element of the Web.config file is used only to target version 4.0 and later of the .NET Framework (for example, '<compilation targetFramework="4.0">'). The 'targetFramework' attribute currently references a version that is later than the installed version of the .NET Framework. Specify a valid target version of the .NET Framework, or install the required version of the .NET Framework.

Source Error:


An application error occurred on the server. The current custom error settings for this application prevent the details of the application error from being viewed remotely (for security reasons). It could, however, be viewed by browsers running on the local server machine.

Source File: X:\sites\domainname.nl\httpdocs\web.config    Line: 49

Version Information: Microsoft .NET Framework Version:4.0.30319; ASP.NET Version:4.0.30319.34249 
I do not have an idea how to get forward.
If somebody could hint me into the correct direction, that would be appreciated.

RobB